// ------------------------------------------------------------
// Posts loop.
// ------------------------------------------------------------
.posts-loop {
	display: block;

	> .post {
		@include box-shadow($box-shadow);
		background-color: #fff;
		margin: 0 auto $gutters;
		min-height: 1px;
		position: relative;

		// Styling post categories.
		.post-categories {
			@include absolute(top 5px left 5px);
			list-style: none;
			margin: 0;
			padding: 0;

			> li {
				display: block;
				& + li { margin-top: 5px; }

				> a {
					@include font-size(10);
					font-family: $font-ruda;
					display: block;
					padding: 0 5px;
					color: #fff;
					background-color: $color-red;
					text-transform: uppercase;

					@include hover-focus-active {
						background-color: darken($color-red, 5%);
						text-decoration: none;
					}
				}

				// Display only 4 categories at most.
				&:nth-child(1n+5) { display: none; }
			}
		}

		// Post thumbnail.
		.thumbnail {
			background-color: $color-light;
			display: block;
			height: auto;
			line-height: 0;
			min-height: 120px;
			width: 100%;

			img { width: 100%; height: auto;}
		}

		// Post share links.
		.sharer {
			@extend %clearfix;
			@include opacity(0.35);
			@include transition(opacity 0.15s ease-in-out);
			display: block;
			line-height: 0;
			list-style: none;
			margin: 0;
			padding: 0;
			text-align: center;
			width: 100%;

			> li {
				float: left;
				width: 20%;

				> a {
					@include transition(background-color 0.15s ease-in-out);
					@include font-size(11);
					background-color: $color-light;
					color: #fff;
					display: block;
					line-height: 1;
					padding: 5px 0;
					text-align: center;

					&.facebook {
						background-color: $color-facebook;
						@include hover-focus-active {
							background-color: darken($color-facebook, 5%);
						}
					}

					&.twitter {
						background-color: $color-twitter;
						@include hover-focus-active {
							background-color: darken($color-twitter, 5%);
						}
					}

					&.linkedin {
						background-color: $color-linkedin;
						@include hover-focus-active {
							background-color: darken($color-linkedin, 5%);
						}
					}

					&.pinterest {
						background-color: $color-pinterest;
						@include hover-focus-active {
							background-color: darken($color-pinterest, 5%);
						}
					}

					&.google {
						background-color: $color-google;
						@include hover-focus-active {
							background-color: darken($color-google, 5%);
						}
					}
				}
			}
		}

		// Post title.
		.title {
			@include font-size(16);
			line-height: 1;
			margin: 10px auto 0;
			padding: 0 $gutters;

			a {
				color: $color-base;
				@include hover-focus-active {
					color: $color-red;
					text-decoration: none;
				}
			}
		}

		// Post author.
		.author {
			@include font-size(11);
			color: $color-light;
			display: block;
			line-height: 1;
			margin: 10px auto 0;
			padding: 0 $gutters;

			a {
				color: $color-base;
				font-weight: 700;

				@include hover-focus-active { color: $color-red; }
			}
		}

		// Post excerpt.
		.excerpt {
			@include font-size(12);
			line-height: 1.4;
			color: $color-light;
			display: block;
			margin: $gutters auto 0;
			padding: 0 $gutters;
			text-align: justify;
		}

		// Posts meta.
		.meta {
			@include font-size(11);
			background-color: $color-lighter;
			color: $color-light;
			margin: $gutters auto 0;
			padding: 3px $gutters;

			// Views.
			.views { margin-left: $gutters; }

			// Thumbs rating.
			.rating {
				float: right;

				.thumb-up { color: $color-thumb-up; }
				.thumb-down { color: $color-thumb-down; margin-left: $gutters; }
			}
		}

		// Things to change when hovering a post.
		&:hover {
			// Make sure to change share links opacity.
			.sharer { @include opacity(1); }
		}

		// Change posts sizes on different screens.
		@include screen-sm {
			width: ($container-sm - ($gutters * 3)) / 2;
			float: left;
			margin-right: $gutters;

			&:nth-of-type(2n) { margin-right: 0; }
		}

		@include screen-md {
			width: ($container-md - $sidebar-width - ($gutters * 4)) / 2;
		}

		@include screen-lg {
			width: ($container-lg - $sidebar-width - ($gutters * 5)) / 3;
			&:nth-of-type(2n) { margin-right: $gutters; }
			&:nth-of-type(3n) { margin-right: 0; }
			&:nth-of-type(3n+1) { clear: left; }
		}
	}
}
